from em_tasks.store.models import *

class StoreUtil():
  stores = dict()

  def __init__(self):
    pass

  @classmethod
  def get_store_by_code(cls, store_code):
    if store_code not in cls.stores:
      cls.stores[store_code] = Store.get_or_none(Store.code == store_code)

    return cls.stores[store_code]

  @classmethod
  def save_store_product(cls, seller_id, product_id, handle, source, source_product_id):
    store_product = StoreProduct.get_or_none(StoreProduct.s_product_id == product_id)
    if not store_product:
      store_product = StoreProduct(s_product_id=product_id)

    data = {
      'store_seller_id': seller_id,
      'handle': handle,
      'source': source,
      'source_product_id': source_product_id,
    }
    for k, v in data.items():
      if v:
        setattr(store_product, k, v)
    store_product.save()

    for gp in GmcProduct.select().where(GmcProduct.handle == handle).execute():
      if gp.store_product_id != store_product.id:
        gp.store_product_id = store_product.id
        gp.save()

  def save_product_seller(self, store_id, product_id, seller_id):
    pass

  def is_in_gmc(self, store_id, product):
    pass

  def upload_to_gmc(self, store_id, product):
    pass
