import json

from em_tasks.shopify.product_util import ProductUtil
from em_tasks.store.store_util import StoreUtil


class ShopifyTask():
  def create_product(self, store_code, seller_id, prod):
    store = StoreUtil.get_store_by_code(store_code)
    if not store:
      return

    credential = json.loads(store.api_credential)
    product_util = ProductUtil(credential['name'], credential['token'], credential.get('release', None))
    product = product_util.create_product(prod)
    if not product:
      return

    source = prod.get('source', None)
    source_product_id = prod.get('source_product_id', None)

    StoreUtil.save_store_product(seller_id, product.id, product.handle, source, source_product_id)

